---
layout: false
---

- product_one = data.features.devops_tools[key_one]
- product_two = data.features.devops_tools[key_two]

%html
  %head
    %link{ rel: "stylesheet", href: "http://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,500,600,700" }
    %link{ rel: "stylesheet", href: "../../stylesheets/styles.css" }
    %link{ rel: "stylesheet", href: "../../stylesheets/compared.css" }
    %link{ rel: "stylesheet", href: "../../stylesheets/compare-pdf.css" }
  %body
    %header
      .inner-header-content.clearfix
        .pull-left
          %h1= product_one.name + " vs GitLab"
          %h2
            GitLab compared to other DevOps tools
        .pull-right
          = partial "includes/logos/wm_web.svg"
    .comparison-container.full-post
      .top-content
        - if product_one.summary.present?
          = kramdown(product_one.summary)
        - if product_one.include_file.present?
          = partial product_one.include_file
      .blog-entry.clearfix
        .comparison-page-content.comparison-table.clearfix
          %table.compare-table.comparing-gitlab
            %colgroup
              %col{:width => "80%"}
              %col{:width => "10%"}
              %col{:width => "10%"}
            %tbody.header.first
              %tr
                %td.text-left.table-title
                  FEATURES
                %td.text-center
                  - if (product_one.logo != "null")
                    -# relative path required for wkhtmltopdf
                    - if product_one.logo.index('.png')
                      %img{ src: "../..#{product_one.logo}", alt: "#{product_one.name}", class: "logo" }
                    - else
                      = partial "../..#{product_one.logo}"
                  - else
                    = product_one.name
                %td.text-center.table-title-logo
                  -# relative path required for wkhtmltopdf
                  = partial "../../images/devops-tools/gitlab-logo.svg"
              - data.features.features.each do |feature|
                - if (feature.public_send(key_one) != nil && feature.public_send(key_two) != nil)
                  %tr
                    %td.feature-in-list
                      %p.feature-in-list-title
                        %strong= feature.title
                      %p
                        = feature.description
                      %p
                        = link_to feature.link_description, feature.link
                    %td.check-container.text-center
                      - if (feature.public_send(key_one) == "partially")
                        = partial "includes/icons/comparison/maybe-icon.svg"
                      - if (feature.public_send(key_one) == true)
                        = partial "includes/icons/comparison/yes-icon.svg"
                      - if (feature.public_send(key_one) == false)
                        = partial "includes/icons/comparison/no-icon.svg"
                    %td.check-container.text-center
                      - if (feature.public_send(key_two) == "partially")
                        = partial "includes/icons/comparison/maybe-icon.svg"
                      - if (feature.public_send(key_two) == true)
                        = partial "includes/icons/comparison/yes-icon.svg"
                      - if (feature.public_send(key_two) == false)
                        = partial "includes/icons/comparison/no-icon.svg"
